Ticket #41192

充填魔力吸収の打撃でクラッシュ

Open Date: 2021-01-17 23:27 Last Update: 2021-01-24 13:16

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
7
Severity:
7
Resolution:
Fixed
File:
None

Details

以下の変更でエンバグしている模様。 https://osdn.net/projects/hengband/scm/git/hengband/commits/910a956d727732a938491e00044494edb1d01a19

杖などpvalが小さいアイテムにヒットするとdrainが0になり216行のゼロ除算でクラッシュする。 元の式との乖離が大きく、意図した挙動が分からないため修正は本人に任せます。

Ticket History (3/5 Histories)

2021-01-17 23:27 Updated by: dis-
  • New Ticket "充填魔力吸収の打撃でクラッシュ" created
2021-01-18 00:02 Updated by: hourier
  • Resolution Update from None to Fixed
  • Owner Update from hourier to deskull
Comment

吸収量が0ならば後続処理を実行しない方針で修正しました

feature/Fix-Drain-Staff-Wand のブランチで対応済です、マージお願いします

2021-01-18 19:23 Updated by: hourier
Comment

ついでですが魔道具能力向上装備を身に着けていた場合に吸収量が減衰した旨のメッセージを表示するようにしました

2021-01-19 08:12 Updated by: deskull
  • Status Update from Open to Closed
  • Owner Update from deskull to hourier
Comment

マージしました。お疲れさまでした。

2021-01-24 13:16 Updated by: deskull
Comment

1/22の調整を改めてマージしました。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login